aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSébastien Fabbro <sebfabbro@gmail.com>2011-08-22 19:49:41 +0100
committerSébastien Fabbro <sebfabbro@gmail.com>2011-08-22 19:49:41 +0100
commit9e986eb60e690403db4d96face766eeee1ef2c38 (patch)
tree923383e08d23b5a7095f8a43edd85888c0abbe42 /sci-libs
parentadded acml (diff)
downloadsci-9e986eb60e690403db4d96face766eeee1ef2c38.tar.gz
sci-9e986eb60e690403db4d96face766eeee1ef2c38.tar.bz2
sci-9e986eb60e690403db4d96face766eeee1ef2c38.zip
added lapacke
Diffstat (limited to 'sci-libs')
-rw-r--r--sci-libs/acml/Manifest2
-rwxr-xr-xsci-libs/lapacke-reference/._lapackebin0 -> 193 bytes
-rw-r--r--sci-libs/lapacke-reference/ChangeLog18
-rw-r--r--sci-libs/lapacke-reference/Manifest4
-rw-r--r--sci-libs/lapacke-reference/lapacke-reference-1.0.0.009.ebuild84
-rw-r--r--sci-libs/lapacke-reference/metadata.xml10
6 files changed, 117 insertions, 1 deletions
diff --git a/sci-libs/acml/Manifest b/sci-libs/acml/Manifest
index 1ccc9e9ad..944fc760c 100644
--- a/sci-libs/acml/Manifest
+++ b/sci-libs/acml/Manifest
@@ -13,5 +13,5 @@ DIST acml-4-4-0-pgi-32bit.tgz 24562671 RMD160 78677d7f178e725ebe086d9690c8ee7202
DIST acml-4-4-0-pgi-64bit-int64.tgz 78664596 RMD160 2a0e9af1eef74009dce2a256d4da8382baf39133 SHA1 6648385c614d367bd18e29eb60be3f99df07ae1e SHA256 f1290edb9c5a91b667139ae4e8eec2486e7ccd3f2aa19f7f65667eef0d85eca0
DIST acml-4-4-0-pgi-64bit.tgz 77842523 RMD160 e4c6770837f9eb511999872d280715e6827b5f65 SHA1 2087b20359d72b2e7886b12356d4da0d2d563503 SHA256 9c07dc0b90e9e491a0ddcf7849690338f21011aa4aa197ff3408f32a0b3fd6cf
EBUILD acml-4.4.0-r1.ebuild 3646 RMD160 d65690d7b794603676fc1c22f6654bc1c732160b SHA1 edba606988b336aa4a788d81d883fe5271547f93 SHA256 41573d60d41485c39988d3b3fbab68612ad7917436c2acc35db32f91e715b706
-MISC ChangeLog 8614 RMD160 709ed6a62bb652c14fd8fc96de3649bc24d9d973 SHA1 403bc7772bd5b7a469de7fff883f2b06271e2397 SHA256 a3e7541d8b8bc2fb743769272649792f32f7df016ca04c425f6ef21799c38184
+MISC ChangeLog 8743 RMD160 dd646e293f6ed858eb6b378af272bf72915ea898 SHA1 41bde8e1cddef42978d711a2092713cf064d6592 SHA256 899da31a397509f29d233cfe2560d3e3dd43acad6ed764eab6b1b5985f7c5846
MISC metadata.xml 1346 RMD160 df635430c989552278e7e2d262fbb32ffd11f99e SHA1 e1432a7d071c4f1ae567c7d0fe6708e46ceac4df SHA256 5e41050f4380164e761f836c29c818176cf23d239dc1e5aa29e4702cbbe85042
diff --git a/sci-libs/lapacke-reference/._lapacke b/sci-libs/lapacke-reference/._lapacke
new file mode 100755
index 000000000..db65eee64
--- /dev/null
+++ b/sci-libs/lapacke-reference/._lapacke
Binary files differ
diff --git a/sci-libs/lapacke-reference/ChangeLog b/sci-libs/lapacke-reference/ChangeLog
new file mode 100644
index 000000000..ac2bea7bf
--- /dev/null
+++ b/sci-libs/lapacke-reference/ChangeLog
@@ -0,0 +1,18 @@
+# ChangeLog for sci-libs/lapacke-reference
+# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*lapacke-reference-1.0.0.009 (22 Aug 2011)
+
+ 22 Aug 2011; Sébastien Fabbro <bicatali@gentoo.org>
+ +lapacke-reference-1.0.0.009.ebuild, +._lapacke, +metadata.xml:
+ Imported from bicatali overlay
+
+ 23 Feb 2011; Sébastien Fabbro <bicatali@gentoo.org>
+ lapacke-reference-1.0.0.009.ebuild:
+ Switched to alternatives-2 framework
+
+ 05 Dec 2010; Sébastien Fabbro <bicatali@gentoo.org>
+ lapacke-1.0.0.009.ebuild, +metadata.xml:
+ Initial import
+
diff --git a/sci-libs/lapacke-reference/Manifest b/sci-libs/lapacke-reference/Manifest
new file mode 100644
index 000000000..65bdda533
--- /dev/null
+++ b/sci-libs/lapacke-reference/Manifest
@@ -0,0 +1,4 @@
+DIST lapacke-1.0.0.009.tar.gz 840233 RMD160 1ac906ef61e616465f1860b0266640fe65e669ee SHA1 793c388cbd910cf6018be78749ad37e77fb8ac25 SHA256 7f992bd1f143251ddd03b99ef935942c17caf43652ae94a251601e00dce258e3
+EBUILD lapacke-reference-1.0.0.009.ebuild 2008 RMD160 7d09e4114939bdbb1529c8152e272c31e900200b SHA1 0e6fdfe6859dfe48296c4a8450333a66f3698a77 SHA256 8e166dd4244ab3266beb22aa790c0fcc8b8c7868f75e0190d7c25e538bae6f2d
+MISC ChangeLog 575 RMD160 0a41ec0d77e6d931892505a0819139a8bf6005be SHA1 bd7275a7d8cb05995af23fe8c9cf5df09219216e SHA256 68681e46f36898efcbbcf357b67cd660088c9eedad3de88b737caba163626b95
+MISC metadata.xml 377 RMD160 62313cf71b4be5f9f894cbe1862f95a4d54f87fa SHA1 4cdbfee582155e16492694941f6d0e76426e8bf6 SHA256 7cd127f29286171d875b418a27378bf47ad9e87b405f1c6379ec747725e8a7ca
diff --git a/sci-libs/lapacke-reference/lapacke-reference-1.0.0.009.ebuild b/sci-libs/lapacke-reference/lapacke-reference-1.0.0.009.ebuild
new file mode 100644
index 000000000..e2f2d5786
--- /dev/null
+++ b/sci-libs/lapacke-reference/lapacke-reference-1.0.0.009.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+inherit eutils toolchain-funcs versionator alternatives-2
+
+MYP=lapacke-${PV}
+
+DESCRIPTION="C Interface to LAPACK"
+HOMEPAGE="http://www.netlib.org/lapack/"
+SRC_URI="http://www.netlib.org/lapack/lapacke.tgz -> ${MYP}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="static-libs"
+
+RDEPEND=""
+DEPEND="test? ( virtual/lapack dev-util/pkgconfig )"
+
+S="${WORKDIR}/lapacke"
+
+LIBNAME=reflapacke
+
+make_shared_lib() {
+ local libstatic=${1}
+ local soname=$(basename "${1%.a}").so.$(get_major_version)
+ shift
+ einfo "Making ${soname}"
+ ${LINK:-$(tc-getCC)} ${LDFLAGS} \
+ -shared -Wl,-soname="${soname}" \
+ -Wl,--whole-archive "${libstatic}" -Wl,--no-whole-archive \
+ "$@" -o $(dirname "${libstatic}")/"${soname}" || die "${soname} failed"
+ ln -s "${soname}" $(dirname "${libstatic}")/"${soname%.*}"
+}
+
+src_prepare() {
+ cat > make.inc <<-EOF
+ CC = $(tc-getCC)
+ CFLAGS = ${CFLAGS}
+ LINKER = \$(CC)
+ LDFLAGS = ${LDFLAGS}
+ ARCH = $(tc-getAR)
+ ARCHFLAGS = cr
+ RANLIB = $(tc-getRANLIB)
+ LAPACKE = lib${LIBNAME}.a
+ EOF
+}
+
+src_compile() {
+ emake CFLAGS="${CFLAGS} -fPIC" lapacke
+ make_shared_lib lib${LIBNAME}.a
+ if use static-libs; then
+ emake clean && rm -f lib${LIBNAME}.a
+ emake lapacke
+ fi
+}
+
+src_test() {
+ emake LIBS="$(pkg-config --libs lapack)" lapacke_testing
+}
+
+src_install() {
+ dolib.so lib${LIBNAME}.so*
+ use static-libs && dolib.a lib${LIBNAME}.a
+ insinto /usr/include
+ doins include/lapacke*h || die
+ cat <<-EOF > ${LIBNAME}.pc
+ prefix=${EPREFIX}/usr
+ libdir=\${prefix}/$(get_libdir)
+ includedir=\${prefix}/include
+ Name: LAPACK C Extension - Reference
+ Description: ${DESCRIPTION}
+ Version: ${PV}
+ URL: ${HOMEPAGE}
+ Libs: -L\${libdir} -l${LIBNAME} -lm
+ Cflags: -I\${includedir}
+ EOF
+ insinto /usr/$(get_libdir)/pkgconfig
+ doins ${LIBNAME}.pc || die
+ alternatives_for lapacke reference 0 \
+ "/usr/$(get_libdir)/pkgconfig/lapacke.pc" "${LIBNAME}.pc"
+}
diff --git a/sci-libs/lapacke-reference/metadata.xml b/sci-libs/lapacke-reference/metadata.xml
new file mode 100644
index 000000000..ecdbab4b4
--- /dev/null
+++ b/sci-libs/lapacke-reference/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+<longdescription lang="en">
+ This implementation provides a native C interface to LAPACK routines available
+ at www.netlib.org/lapack to facilitate usage of LAPACK functionality
+ for C programmers.
+</longdescription>
+</pkgmetadata>